Bug 89697 - xscreensaver does not reload preferences sometimes
xscreensaver does not reload preferences sometimes
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-25 21:00 EDT by Carlos Rodrigues
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 18:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Rodrigues 2003-04-25 21:00:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When I change the screensaver timeout (in gnome, from Start
Here->Preferences->Screensaver), the screensaver keeps appearing after the
previous timeout until I kill and restart xscreensaver. This happens  every time
I reduce the timeout but apparently just a few times when I increase it.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Starting with a timeout of 10 minutes
2. Go to Start Here->Preferences->Screensaver
3. Change the screensaver timeout to 1 minute
4. Wait

Actual Results:  The screensaver does not start after 1 minute of inactivity
(but it does after 10 minutes - the previous timeout).

Expected Results:  The screensaver should start after 1 minute.
Comment 1 Carlos Rodrigues 2003-04-25 22:02:23 EDT
I tried to restart xscreensaver via "xscreensaver-command -restart" and it
sometimes gives a "xscreensaver window unexpectedly deleted" error. Can this be
related?
Comment 2 Jamie Zawinski 2004-08-15 04:44:09 EDT
The xscreensaver daemon reloads the .xscreensaver file when it notices
that it has changed, but it only checks the file the next time it
would have woken up to do something -- so if it's asleep for ten
minutes waiting for you to become idle, it won't notice your new
preference setting for ten minutes.

Rather than restarting xscreensaver, you can just click the "Preview"
button in xscreensaver-demo -- that will cause the daemon to wake up
(to run a saver in full-screen mode) and it will pick up your new
timeouts right away.
Comment 3 Carlos Rodrigues 2004-08-18 18:24:32 EDT
Hmmmm... I had already forgotten about this :). Thanks for the info.

Note You need to log in before you can comment on or make changes to this bug.